ur_rna.StructureEditor.windows

## Class ColorizeDialog

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Window
      - - java.awt.Dialog
        - - javax.swing.JDialog
          - - ur_rna.StructureEditor.windows.ColorizeDialog

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants

      public class ColorizeDialog
      extends javax.swing.JDialog
      implements java.awt.event.ActionListener

  Allows the user to choose how to color nucleobases.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `private static interface` | `ColorizeDialog.ColorEditControl`
    `private static class` | `ColorizeDialog.SimpleColorControl`
    `private static class` | `ColorizeDialog.SymbolColorRule`
    `private static class` | `ColorizeDialog.ValueColorRule`

    - ### Nested classes/interfaces inherited from class javax.swing.JDialog

      `javax.swing.JDialog.AccessibleJDialog`

    - ### Nested classes/interfaces inherited from class java.awt.Dialog

      `java.awt.Dialog.AccessibleAWTDialog, java.awt.Dialog.ModalExclusionType, java.awt.Dialog.ModalityType`

    - ### Nested classes/interfaces inherited from class java.awt.Window

      `java.awt.Window.AccessibleAWTWindow, java.awt.Window.Type`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `_lastColorEffect`
    `private javax.swing.JButton` | `btnAddProbRule`
    `private javax.swing.JButton` | `btnAddSymbolRule`
    `private javax.swing.JButton` | `btnAddValueRule`
    `private javax.swing.JButton` | `btnApplyBond`
    `private javax.swing.JButton` | `btnApplyFill`
    `private javax.swing.JButton` | `btnApplyOutline`
    `private javax.swing.JButton` | `btnApplyText`
    `private javax.swing.JButton` | `btnChooseColor`
    `private javax.swing.JButton` | `btnClearProbText`
    `private javax.swing.JButton` | `btnClearValueText`
    `private javax.swing.JButton` | `btnClose`
    `private javax.swing.JButton` | `btnHelpMod`
    `private javax.swing.JButton` | `btnHelpProb`
    `private javax.swing.JButton` | `btnLoadModFile`
    `private javax.swing.JButton` | `btnLoadProbFile`
    `private javax.swing.JButton` | `btnRemProbRule`
    `private javax.swing.JButton` | `btnRemSymbolRule`
    `private javax.swing.JButton` | `btnRemValueRule`
    `private javax.swing.JButton` | `btnResetAll`
    `private javax.swing.JButton` | `btnResetBond`
    `private javax.swing.JButton` | `btnResetFill`
    `private javax.swing.JButton` | `btnResetOutline`
    `private javax.swing.JButton` | `btnResetProbRules`
    `private javax.swing.JButton` | `btnResetSymbolRules`
    `private javax.swing.JButton` | `btnResetText`
    `private javax.swing.JButton` | `btnResetValueRules`
    `private javax.swing.JButton` | `btnSingleColor`
    `private javax.swing.JButton` | `btnValueChooseColor`
    `private java.awt.Font` | `buttonFont`
    `private java.awt.Font` | `buttonFontBold`
    `private javax.swing.JCheckBox` | `chkIgnoreCase`
    `private javax.swing.JCheckBox` | `chkUse`
    `private javax.swing.JComboBox` | `cmbProbComparison`
    `private javax.swing.JComboBox` | `cmbValueComparison`
    `private TextDocListener` | `docListener`
    `private java.lang.String` | `lastProbDataPath`
    `private java.lang.String` | `lastValueDataPath`
    `private javax.swing.JLabel` | `lblColor`
    `private javax.swing.JLabel` | `lblProbColorHeader`
    `private javax.swing.JLabel` | `lblSingleColor`
    `private javax.swing.JLabel` | `lblValueColor`
    `private javax.swing.JLabel` | `lblValueColorHeader`
    `private javax.swing.JRadioButton` | `optBasesAll`
    `private javax.swing.JRadioButton` | `optBasesSelected`
    `private javax.swing.JRadioButton` | `optStructuresAll`
    `private javax.swing.JRadioButton` | `optStructuresCurrent`
    `private javax.swing.JPanel` | `pnlMain`
    `private javax.swing.JPanel` | `pnlProbColors`
    `private javax.swing.JPanel` | `pnlSymbolColors`
    `private javax.swing.JPanel` | `pnlValueColors`
    `private java.util.prefs.Preferences` | `prefs`
    `private java.util.ArrayList<ColorizeDialog.ValueColorRule>` | `probColorRules`
    `private ColorizeDialog.SimpleColorControl` | `singleColor`
    `private java.util.ArrayList<ColorizeDialog.SymbolColorRule>` | `symbolColorRules`
    `private javax.swing.JTabbedPane` | `tabs`
    `private javax.swing.JTextArea` | `txtBase`
    `private javax.swing.JTextArea` | `txtColor`
    `private javax.swing.JTextArea` | `txtModData`
    `private javax.swing.JTextArea` | `txtProbData`
    `private javax.swing.JTextField` | `txtSingleColor`
    `private javax.swing.JTextField` | `txtValueColor`
    `private javax.swing.JTextField` | `txtValueLimit`
    `private javax.swing.Timer` | `updateTimer`
    `private java.util.ArrayList<ColorizeDialog.ValueColorRule>` | `valueColorRules`
    `private static java.lang.String[]` | `valueComparisonSymbols`

    - ### Fields inherited from class javax.swing.JDialog

      `accessibleContext, rootPane, rootPaneCheckingEnabled`

    - ### Fields inherited from class java.awt.Dialog

      `DEFAULT_MODALITY_TYPE`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface javax.swing.WindowConstants

      `DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColorizeDialog(DrawWindow targetWindow, java.util.prefs.Preferences userPreferencesNode, boolean modal)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.swing.JComponent` | `$$$getRootComponent$$$()`
    `private void` | `$$$setupUI$$$()` Method generated by IntelliJ IDEA GUI Designer DO NOT edit this method OR call it in your code!
    `void` | `actionPerformed(java.awt.event.ActionEvent e)`
    `private void` | `addActionListeners(javax.swing.AbstractButton... buttons)`
    `private static void` | `addClickHandler(javax.swing.JComponent c, java.util.function.Consumer<java.awt.event.MouseEvent> handler)`
    `private void` | `addProbColorRule(java.lang.String value, java.awt.Color c)`
    `private void` | `addSymbolColorRule(java.lang.String text, java.awt.Color c)`
    `private void` | `addValueColorRule(java.lang.String value, java.awt.Color c)`
    `private boolean` | `applyColors(int colorMode)`
    `private void` | `browseLoadProbData()`
    `private void` | `browseLoadValueData()`
    `private int` | `calcMaxNucCount(RnaSceneGroup scenes)`
    `private void` | `close()`
    `private void` | `correctPreferredHeight(javax.swing.JComponent... components)`
    `private void` | `createUIComponents()`
    `private DrawWindow` | `getActiveDrawing(boolean showWarning)`
    `private java.lang.String` | `getProbComparisonSymbol()`
    `private java.lang.String` | `getTab()`
    `private java.lang.String` | `getValueComparisonSymbol()`
    `private void` | `invokeScrollToComponent(java.awt.Component c)`
    `private void` | `loadSettings()`
    `private double` | `parseDouble(java.lang.String value)`
    `private int` | `parseInt(java.lang.String value, int valueOnError)`
    `private double[]` | `parseModData(java.lang.String text, int nucCount)`
    `private SceneColorizer.PairProbabilityData` | `parseProbData(java.lang.String text, int nucCount)`
    `private void` | `probComparisonChanged(java.awt.event.ItemEvent event)`
    `private SceneColorizer.NumberRangeList` | `readNumericRules(java.util.List<ColorizeDialog.ValueColorRule> rules, java.lang.String ruleType, java.lang.String comparison)`
    `private java.lang.String` | `readTempFile(java.lang.String fileName)`
    `private boolean` | `removeLastRule(java.util.List<? extends ColorizeDialog.SimpleColorControl> list)`
    `private void` | `removeNonHeaders(javax.swing.JComponent panel)`
    `private void` | `resetExistingBaseColors(int colorMode)`
    `private void` | `resetProbColorRules()`
    `private void` | `resetSymbolColorRules()`
    `private void` | `resetValueColorRules()`
    `private void` | `saveSettings()`
    `private void` | `setProbComparison(java.lang.String symbol)`
    `private void` | `setTab(java.lang.String tab)`
    `private void` | `setValueComparison(java.lang.String symbol)`
    `void` | `showColorChooser(ColorizeDialog.ColorEditControl c)`
    `void` | `showDialog()`
    `private void` | `showHelp(java.lang.String section)`
    `private void` | `updateTimerElapsed(java.awt.event.ActionEvent event)`
    `private void` | `updateUI()`
    `private void` | `valueComparisonChanged(java.awt.event.ItemEvent event)`
    `private boolean` | `writeTempFile(java.lang.String data, java.lang.String fileName)`

    - ### Methods inherited from class javax.swing.JDialog

      `addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

    - ### Methods inherited from class java.awt.Dialog

      `addNotify, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, setBackground, setModal, setModalityType, setOpacity, setResizable, setShape, setTitle, setUndecorated, setVisible, show, toBack`

    - ### Methods inherited from class java.awt.Window

      `addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setType, toFront`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _lastColorEffect

          private java.lang.String _lastColorEffect

    - #### btnAddProbRule

          private javax.swing.JButton btnAddProbRule

    - #### btnAddSymbolRule

          private javax.swing.JButton btnAddSymbolRule

    - #### btnAddValueRule

          private javax.swing.JButton btnAddValueRule

    - #### btnApplyBond

          private javax.swing.JButton btnApplyBond

    - #### btnApplyFill

          private javax.swing.JButton btnApplyFill

    - #### btnApplyOutline

          private javax.swing.JButton btnApplyOutline

    - #### btnApplyText

          private javax.swing.JButton btnApplyText

    - #### btnChooseColor

          private javax.swing.JButton btnChooseColor

    - #### btnClearProbText

          private javax.swing.JButton btnClearProbText

    - #### btnClearValueText

          private javax.swing.JButton btnClearValueText

    - #### btnClose

          private javax.swing.JButton btnClose

    - #### btnHelpMod

          private javax.swing.JButton btnHelpMod

    - #### btnHelpProb

          private javax.swing.JButton btnHelpProb

    - #### btnLoadModFile

          private javax.swing.JButton btnLoadModFile

    - #### btnLoadProbFile

          private javax.swing.JButton btnLoadProbFile

    - #### btnRemProbRule

          private javax.swing.JButton btnRemProbRule

    - #### btnRemSymbolRule

          private javax.swing.JButton btnRemSymbolRule

    - #### btnRemValueRule

          private javax.swing.JButton btnRemValueRule

    - #### btnResetAll

          private javax.swing.JButton btnResetAll

    - #### btnResetBond

          private javax.swing.JButton btnResetBond

    - #### btnResetFill

          private javax.swing.JButton btnResetFill

    - #### btnResetOutline

          private javax.swing.JButton btnResetOutline

    - #### btnResetProbRules

          private javax.swing.JButton btnResetProbRules

    - #### btnResetSymbolRules

          private javax.swing.JButton btnResetSymbolRules

    - #### btnResetText

          private javax.swing.JButton btnResetText

    - #### btnResetValueRules

          private javax.swing.JButton btnResetValueRules

    - #### btnSingleColor

          private javax.swing.JButton btnSingleColor

    - #### btnValueChooseColor

          private javax.swing.JButton btnValueChooseColor

    - #### buttonFont

          private java.awt.Font buttonFont

    - #### buttonFontBold

          private java.awt.Font buttonFontBold

    - #### chkIgnoreCase

          private javax.swing.JCheckBox chkIgnoreCase

    - #### chkUse

          private javax.swing.JCheckBox chkUse

    - #### cmbProbComparison

          private javax.swing.JComboBox cmbProbComparison

    - #### cmbValueComparison

          private javax.swing.JComboBox cmbValueComparison

    - #### docListener

          private TextDocListener docListener

    - #### lastProbDataPath

          private java.lang.String lastProbDataPath

    - #### lastValueDataPath

          private java.lang.String lastValueDataPath

    - #### lblColor

          private javax.swing.JLabel lblColor

    - #### lblProbColorHeader

          private javax.swing.JLabel lblProbColorHeader

    - #### lblSingleColor

          private javax.swing.JLabel lblSingleColor

    - #### lblValueColor

          private javax.swing.JLabel lblValueColor

    - #### lblValueColorHeader

          private javax.swing.JLabel lblValueColorHeader

    - #### optBasesAll

          private javax.swing.JRadioButton optBasesAll

    - #### optBasesSelected

          private javax.swing.JRadioButton optBasesSelected

    - #### optStructuresAll

          private javax.swing.JRadioButton optStructuresAll

    - #### optStructuresCurrent

          private javax.swing.JRadioButton optStructuresCurrent

    - #### pnlMain

          private javax.swing.JPanel pnlMain

    - #### pnlProbColors

          private javax.swing.JPanel pnlProbColors

    - #### pnlSymbolColors

          private javax.swing.JPanel pnlSymbolColors

    - #### pnlValueColors

          private javax.swing.JPanel pnlValueColors

    - #### prefs

          private java.util.prefs.Preferences prefs

    - #### probColorRules

          private java.util.ArrayList<ColorizeDialog.ValueColorRule> probColorRules

    - #### singleColor

          private ColorizeDialog.SimpleColorControl singleColor

    - #### symbolColorRules

          private java.util.ArrayList<ColorizeDialog.SymbolColorRule> symbolColorRules

    - #### tabs

          private javax.swing.JTabbedPane tabs

    - #### txtBase

          private javax.swing.JTextArea txtBase

    - #### txtColor

          private javax.swing.JTextArea txtColor

    - #### txtModData

          private javax.swing.JTextArea txtModData

    - #### txtProbData

          private javax.swing.JTextArea txtProbData

    - #### txtSingleColor

          private javax.swing.JTextField txtSingleColor

    - #### txtValueColor

          private javax.swing.JTextField txtValueColor

    - #### txtValueLimit

          private javax.swing.JTextField txtValueLimit

    - #### updateTimer

          private javax.swing.Timer updateTimer

    - #### valueColorRules

          private java.util.ArrayList<ColorizeDialog.ValueColorRule> valueColorRules

    - #### valueComparisonSymbols

          private static java.lang.String[] valueComparisonSymbols

  - ### Constructor Detail

    - #### ColorizeDialog

          public ColorizeDialog(DrawWindow targetWindow,
                                @Nullable
                                java.util.prefs.Preferences userPreferencesNode,
                                boolean modal)

  - ### Method Detail

    - #### $$$getRootComponent$$$

          public javax.swing.JComponent $$$getRootComponent$$$()

      No IDE Inspections
        ALL

    - #### $$$setupUI$$$

          private void $$$setupUI$$$()

      Method generated by IntelliJ IDEA GUI Designer DO NOT edit this method OR call it in your code!
      No IDE Inspections
        ALL

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent e)

      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`

    - #### addActionListeners

          private void addActionListeners(javax.swing.AbstractButton... buttons)

    - #### addClickHandler

          private static void addClickHandler(javax.swing.JComponent c,
                                              java.util.function.Consumer<java.awt.event.MouseEvent> handler)

    - #### addProbColorRule

          private void addProbColorRule(java.lang.String value,
                                        java.awt.Color c)

    - #### addSymbolColorRule

          private void addSymbolColorRule(java.lang.String text,
                                          java.awt.Color c)

    - #### addValueColorRule

          private void addValueColorRule(java.lang.String value,
                                         java.awt.Color c)

    - #### applyColors

          private boolean applyColors(int colorMode)

    - #### browseLoadProbData

          private void browseLoadProbData()

    - #### browseLoadValueData

          private void browseLoadValueData()

    - #### calcMaxNucCount

          private int calcMaxNucCount(RnaSceneGroup scenes)

    - #### close

          private void close()

    - #### correctPreferredHeight

          private void correctPreferredHeight(javax.swing.JComponent... components)

    - #### createUIComponents

          private void createUIComponents()

    - #### getActiveDrawing

          private DrawWindow getActiveDrawing(boolean showWarning)

    - #### getProbComparisonSymbol

          private java.lang.String getProbComparisonSymbol()

    - #### getTab

          private java.lang.String getTab()

    - #### getValueComparisonSymbol

          private java.lang.String getValueComparisonSymbol()

    - #### invokeScrollToComponent

          private void invokeScrollToComponent(java.awt.Component c)

    - #### loadSettings

          private void loadSettings()

    - #### parseDouble

          private double parseDouble(java.lang.String value)

    - #### parseInt

          private int parseInt(java.lang.String value,
                               int valueOnError)

    - #### parseModData

          private double[] parseModData(java.lang.String text,
                                        int nucCount)

    - #### parseProbData

          private SceneColorizer.PairProbabilityData parseProbData(java.lang.String text,
                                                                   int nucCount)

    - #### probComparisonChanged

          private void probComparisonChanged(java.awt.event.ItemEvent event)

    - #### readNumericRules

          private SceneColorizer.NumberRangeList readNumericRules(java.util.List<ColorizeDialog.ValueColorRule> rules,
                                                                  java.lang.String ruleType,
                                                                  java.lang.String comparison)

    - #### readTempFile

          private java.lang.String readTempFile(java.lang.String fileName)

    - #### removeLastRule

          private boolean removeLastRule(java.util.List<? extends ColorizeDialog.SimpleColorControl> list)

    - #### removeNonHeaders

          private void removeNonHeaders(javax.swing.JComponent panel)

    - #### resetExistingBaseColors

          private void resetExistingBaseColors(int colorMode)

    - #### resetProbColorRules

          private void resetProbColorRules()

    - #### resetSymbolColorRules

          private void resetSymbolColorRules()

    - #### resetValueColorRules

          private void resetValueColorRules()

    - #### saveSettings

          private void saveSettings()

    - #### setProbComparison

          private void setProbComparison(java.lang.String symbol)

    - #### setTab

          private void setTab(java.lang.String tab)

    - #### setValueComparison

          private void setValueComparison(java.lang.String symbol)

    - #### showColorChooser

          public void showColorChooser(ColorizeDialog.ColorEditControl c)

    - #### showDialog

          public void showDialog()

    - #### showHelp

          private void showHelp(java.lang.String section)

    - #### updateTimerElapsed

          private void updateTimerElapsed(java.awt.event.ActionEvent event)

    - #### updateUI

          private void updateUI()

    - #### valueComparisonChanged

          private void valueComparisonChanged(java.awt.event.ItemEvent event)

    - #### writeTempFile

          private boolean writeTempFile(java.lang.String data,
                                        java.lang.String fileName)